![issues_badge](https://img.shields.io/github/issues/777advait/FilePyle?style=plastic)
![forks_badge](https://img.shields.io/github/forks/777advait/FilePyle?style=plastic)
![stars_badge](https://img.shields.io/github/stars/777advait/FilePyle?style=plastic)
![license_badge](https://img.shields.io/github/license/777advait/FilePyle?style=plastic)
## FilePyle
An URL file downloader made in python.

- FilePyle is an URL downloader just like `curl` and `wget` made in python.
- **What's different?** Unlike other URL downloaders `filepyle` can download multiple files cocurrently at the same time through a single command.
- Syntax - `filepyle --url <first_url> --url <second_url> --path <path/where/files/will/be/downloaded>`

> Author - Advait Jadhav

## Installation

### **PyPi**

FilePyle is available on PyPi. You can download it using the following command
> `pip install FilePyle`

### **Setuptools**

1. Download or clone the repository.
> `git clone https://github.com/777advait/FilePyle/`
2. Install the dependencies.
> `pip install -r requirements.txt`
3. Install the package.
> `python setup.py install`
4. Done! Now you can use filepyle.
> `filepyle --url <first_url> --url <second_url> --path <path/where/files/will/be/downloaded>`

## How To Use
```sh
filepyle --url <first_url> --url <second_url> --path <path/where/files/will/be/downloaded>
```

- A working example
![image](https://user-images.githubusercontent.com/76993204/157815961-aaed93ba-e9f1-49a2-984b-c9bd4f693b2e.png)

## Patch Notes
#### **Patch 0.1.0**
- Released on GitHub as `PyLoad`.

#### **Patch 0.1.1**
- Re-released on GitHub as `FilePyle`(**Pyload** name was already taken).

#### **Patch 0.1.2**
- Enabled downloading large files.

#### **Patch 0.1.3**
- Enabled downloading multiple files concurrently.

#### **Patch 0.1.4**
- Fixed progress bar glitch.

#### **Patch 0.1.5**
- Minor code improvements.